import { useEffect } from 'react';
import { useDispatch } from 'react-redux';
import { setPageTitle } from '../../store/themeConfigSlice';
import { useTranslation } from 'react-i18next';
import { Breadcrumb } from '../../components/Breadcrumb';
import { ProductCollectionsList } from '../../features/productCollections/components/ProductCollectionsList';

const ProductCollections = () => {
    const dispatch = useDispatch();
    useEffect(() => {
        dispatch(setPageTitle('Product Collections'));
    });

    const { t } = useTranslation();

    const breadcrumbItems = [{ label: 'Dashboard', href: '/' }, { label: 'Product Collections' }];

    return (
        <>
            <Breadcrumb items={breadcrumbItems} />
            <h5 className="mt-5 mb-5 font-bold text-2xl">{t('product_collections')}</h5>
            <ProductCollectionsList />
        </>
    );
};

export default ProductCollections;
